Subject: [Fwd: New Chinese Lesbian Group in Los Angeles] (fwd)
From: Mia H H Lam <[email-masked]>
Date: Thu, 10 Feb 2000 07:43:18 -1000

Date: Wed, 9 Feb 2000 23:09:36 -0800 (PST)
From: Radio Doctor <[email-masked]>
Subject: New Chinese Lesbian Group in Los Angeles

A Chinese lesbian group is newly formed in Los Angeles area called
"Lotus". It's an informal social group. All Chinese lesbians are welcome.
Mainland lesbians are particularly in shortage and needed. So far we have
about 25 people and only 2 from mainland. Our email list is:  

[email-masked]

Please tell or email to your friends who might be interested.

Jenny Lee    [email-masked]